#!/bin/sh

#
# config components need the absolute path, hence the ${BRROOT}/../${BRIMPORT} below
#
echo "Temporarily re-adding old-style Bedrock environment variables:"
BRTOP=$BRWORKSPACE/$BRCOMPONENTDIR
export BREXPORT="$BRTOP/$BREXPORT"
export BRINTERNAL="$BRTOP/$BRINTERNAL"
export BRPRIVATE="$BRTOP/$BRPRIVATE"
export BRROOT="$BRTOP/bedrock"

export ARCH="$BRVARIANT"
export BROBJDIR="$BRPRIVATE"
export BROBJDIR_COMMON="$BRPRIVATE"
export COMPONENT="$BRCOMPONENT"
export PATH="${MAKEFILE_OVERRIDE_TOOLS_COMMON}/bin:$PATH:/usr/software/rats/bin:/usr/software/bin:/usr/bin:/bin"
export ROOT="${BRWORKSPACE}"
export SUBCOMPONENT="$BRSUBCOMPONENT"

if [ -L "${BRIMPORT}/stdhdrs/freebsd" ]; then
    export CPPFLAGS="-I${BRROOT}/../${BRIMPORT}/stdhdrs/freebsd"
fi

if [ -d "${BRIMPORT}/headers" ]; then
    export CPPFLAGS="${CPPFLAGS} -I${BRROOT}/../${BRIMPORT}/headers"
fi

echo "build.sh: CPPFLAGS=${CPPFLAGS}"

unset MAKEFILE_OVERRIDE_ABSHARE_PLATDIR

COVBUILD_PREFIX=$($ROOT/tools/build/coverity.sh)

exec $COVBUILD_PREFIX brmake --log "$@"
