from btool.Defines import *

# Please contact ng-bedrock-core if you need to update this file.

# New style subcomponents

Component (
    name            = 'run_configure@iftop',
    variants        = (
        'x86_64{,.gcov,.lgcov}',
        Config.coverity_variant,
    ),
    imports         = (
        'headers@bsd_net',
        'headers@freebsd',
        'libraries@freebsd',
        'startup-files@freebsd',
        'stdhdrs@freebsd',
    ),
)

Component (
    name            = 'build_configure@iftop',
    variants        = (
        'x86_64{,.gcov,.lgcov}',
        Config.coverity_variant,
    ),
    imports         = (
        'headers@bsd_net',
        'run_configure@iftop',
        'headers@freebsd',
        'libraries@freebsd',
        'startup-files@freebsd',
        'stdhdrs@freebsd',
    ),
)

Component (
    name            = 'uexe@iftop',
    variants        = (
        'x86_64{,.gcov,.lgcov}',
        Config.coverity_variant,
    ),
    imports         = (
        'build_configure@iftop',
    ),
)

Component (
    name            = 'manifest@iftop',
    imports         = (
        'uexe@iftop',
    ),
)

Component (
    name            = 'coverity@iftop',
    variants        = (
        Config.coverity_variant,
    ),
    imports         = (
        'build_configure@iftop',
    ),
)

Component (
    name            = 'audit_ownership@iftop',
)
